scheduled-update:
    image: debian:buster-slim
    stage: scheduled
    only:
        - master
        - schedules
    variables:
        GIT_STRATEGY: fetch
    before_script:
        - apt-get update -y
        - apt-get install -yqqf --no-install-recommends --fix-missing wget gawk curl jq openssh-client git sshpass ca-certificates
        - 'which ssh-agent || ( apt-get update -y && apt-get install -y openssh-client git )'
        - eval $(ssh-agent -s)
        - echo "${SSH_PRIVATE_KEY}" | tr -d '\r' | ssh-add - > /dev/null
        - mkdir -p ~/.ssh
        - chmod 700 ~/.ssh
        - echo "$SSH_PUBLIC_KEY" >> ~/.ssh/id_rsa.pub
        - '[[ -f /.dockerenv ]] && echo -e "Host *\n\tStrictHostKeyChecking no\n\n" > ~/.ssh/config'
        - git config --global user.email "${CI_EMAIL}"
        - git config --global user.name "${CI_USERNAME}"
    script:
        - ./update.sh
        - git add .
        - git status
        - git commit -m "Updated specs" || echo "No changes, nothing to commit!"
        - git remote rm origin && git remote add origin git@gitlab.com:$CI_PROJECT_PATH.git
        - git push origin HEAD:$CI_COMMIT_REF_NAME

manual-update:
    extends:
        - scheduled-update
    except:
        - schedules
    when: manual
